## trash-cli 0.11.3%7egit20120324.fb57a8e

=== debian/changelog ===
trash-cli (0.11.3~git20120324.fb57a8e-1) unstable; urgency=low

  * New upstream release (Closes: #665863)
  * debian/control: add python-pkg-resources to depends (Closes: #665872)
  * Removed manpage for volume-of command (removed upstream)

  [Javi Merino]
  * Add Vcs-* entries

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 26 Mar 2012 20:47:59 +0200

trash-cli (0.11.3~git20120112.28653c6-2) unstable; urgency=low

  * New debian release (Closes: #662670)
  * Add myself as maintainer
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump X-Python-Version to 2.6
  * debian/rules: fix dh_clean to build twice in a row
  * debian/copyright: add missing LGPL license

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 20 Mar 2012 21:55:14 +0000

trash-cli (0.11.3~git20120112.28653c6-1) unstable; urgency=low

  * New upstream release (Closes: #493212, #510043, #550074, #593104)
  * Add myself as uploader
  * Source format is 3.0 (quilt)
  * Move to debhelper and dh_python2
  * debian/control:
     - Updated homepage
     - Add python-setuptools to build depends
     - Drop cdbs from build depends
     - Bumped standards version to 3.9.2
  * debian/copyright: updated to DEP5
  * Add manpage for volume-of
  * Removed manpages for trash-* commands, they are in upstream now
  * Add NEWS.Debian file (thanks to Andrew Starr-Bochicchio)
  * Update debian/watch to github (thanks to Andrew Starr-Bochicchio)

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 10 Feb 2012 01:03:23 +0100

trash-cli (0.1.10.28-2) unstable; urgency=low

  * Removed surplus manpage (Bug: 489423)
     - Removed bluetrash.1 from debian/manpage
     - Edited bluetrash.1 from debian/manpages
  * debian/control: Improved description [thanks to Justin B Rye]
  * Improved manpage descriptions
  * Added SEE ALSO to manpages
  * debian/control: bumped standards version to 3.8.0 (no change)

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 05 Jul 2008 12:26:54 -0400

trash-cli (0.1.10.28-1) unstable; urgency=low

  * Initial release (Closes: #483022)

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 21 May 2008 14:00:43 -0400

=== debian/watch ===
version=3
http://githubredir.debian.net/github/andreafrancia/trash-cli (.*).tar.gz

## trash-cli 0.12.6

=== debian/changelog ===
trash-cli (0.12.6-1) unstable; urgency=low

  * New upstream release (Closes: #677663, LP: #1015877) 
  * debian/copyright: removed LGPL license (file removed upstream)
  * debian/watch: fixed missing char for github
  * removed fix_man_path.diff and fix_modules_in_setup.diff patches
    (applied upstream)
  * add trash-cli.links file to provide manpages for all binaries

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 21 Jun 2012 14:25:29 +0200

## trash-cli 0.23.11.10

=== requirements.txt ===
psutil
six

## trash-cli 0.12.7

=== debian/changelog ===
trash-cli (0.12.7-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 22 Jun 2012 16:17:20 +0200

=== debian/control ===
Source: trash-cli
Section: utils
Priority: extra
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Javi Merino <vicho@debian.org>
Build-Depends: debhelper (>= 8),
               python (>= 2.6.6-3~),
               python-setuptools
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: https://github.com/andreafrancia/trash-cli
Vcs-Git: git://git.debian.org/git/collab-maint/trash-cli.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trash-cli.git;a=summary

Package: trash-cli
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-pkg-resources
Description: command line trashcan utility
 This package provides a command line interface trashcan utility
 compliant with the FreeDesktop.org Trash Specification. It remembers
 the name, original path, deletion date, and permissions of each trashed
 file

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	dh clean --with python2
	rm -rf trash_cli.egg-info/

=== debian/watch ===
version=3
http://githubredir.debian.net/github/andreafrancia/trash-cli/ (.*).tar.gz

## trash-cli 0.12.9.14

=== debian/changelog ===
trash-cli (0.12.9.14-2) unstable; urgency=medium

  * Fix Vcs URLs
  * Fix "FTBFS: tests failed" by allowing output of the
    should_output_info_for_multiple_files() be any order (Closes: #759920)

 -- Javi Merino <vicho@debian.org>  Sat, 30 Aug 2014 21:54:14 -0700

trash-cli (0.12.9.14-1) unstable; urgency=medium

  * New upstream release
  * Upgrade standards version to 3.9.5 (no change needed)
  * Upgrade debhelper to v9
  * Use canonical field for Vcs-Git (thanks lintian)
  * add patch Fix_should_output_info_for_multiple_files to fix building
    the testsuite
  * Run the testsuite when building the package
  * Add autopkgtest

 -- Javi Merino <vicho@debian.org>  Thu, 28 Aug 2014 10:21:38 -0700

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,18 @@
 Priority: extra
 Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: Javi Merino <vicho@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                python (>= 2.6.6-3~),
-               python-setuptools
+               python-setuptools,
+               python-nose,
+               python-mock,
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://github.com/andreafrancia/trash-cli
-Vcs-Git: git://git.debian.org/git/collab-maint/trash-cli.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trash-cli.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/trash-cli.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trash-cli.git
+# This can go away once dpkg 1.17.11 hits stable
+XS-Testsuite: autopkgtest
 
 Package: trash-cli
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:

override_dh_clean:
	rm -rf trash_cli.egg-info/

override_dh_auto_test:
	nosetests

=== debian/tests/control ===
Tests: trash-cli
Depends: @

=== debian/watch ===
version=3
http://githubredir.debian.net/github/andreafrancia/trash-cli/(.*).tar.gz

## trash-cli 0.17.1.14

=== debian/changelog ===
trash-cli (0.17.1.14-5build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:04:20 +0000

trash-cli (0.17.1.14-5) unstable; urgency=medium

  * Version bump to allow a new source-only upload to migrate.
    I uploaded the last version as "source all", which was not permitted
    to transition to testing. No other changes.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 15 Feb 2021 10:52:55 +0000

trash-cli (0.17.1.14-4) unstable; urgency=medium

  * Apply a patch from Stefano Karapetsas to handle encodings properly
    when opening /proc/mounts and /etc/mtab. Closes: #956637, #960566.

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 07 Jul 2020 15:35:37 +0100

trash-cli (0.17.1.14-3) unstable; urgency=medium

  * Switch to python3; Closes: #938719

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2020 23:44:29 -0400

trash-cli (0.17.1.14-2) unstable; urgency=medium

  * Fix autopkgtest, broken by rename of restore-trash

 -- Jonathan Dowland <jmtd@debian.org>  Sat, 24 Nov 2018 19:43:18 +0000

trash-cli (0.17.1.14-1) unstable; urgency=medium

  [ Javi Merino ]
  * Update debian/watch to what the Debian wiki suggests

  [ Jonathan Dowland ]
  * Add myself to uploaders.
  * New Upstream version. Closes: #856814.
    * restore-trash now called trash-restore. Closes: #813706.
      * remove manpage symlink for old name
    * Remove debian/patches/0001-Fix-should_output_info_for_multiple_files.patch
      superseded upstream.
    * Segfault fixed. Closes: #843612, #911762.
  * Fix Vcs URLs (again!)
  * Bump standards version:
    * Update priority (extra→optional)
    * Remove X-Python-Version (value not necessary)

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 24 Oct 2018 15:17:07 +0100

=== debian/control ===
Source: trash-cli
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-setuptools,
               python3-nose,
               python3-mock,
Standards-Version: 4.2.1
Homepage: https://github.com/andreafrancia/trash-cli
Vcs-Git: https://salsa.debian.org/debian/trash-cli.git
Vcs-Browser: https://salsa.debian.org/debian/trash-cli
# This can go away once dpkg 1.17.11 hits stable
XS-Testsuite: autopkgtest

Package: trash-cli
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: command line trashcan utility
 This package provides a command line interface trashcan utility
 compliant with the FreeDesktop.org Trash Specification. It remembers
 the name, original path, deletion date, and permissions of each trashed
 file

=== debian/watch ===
version=3

# rune for GitHub from https://wiki.debian.org/debian/watch/
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/trash-cli-$1\.tar\.gz/ \
  https://github.com/andreafrancia/trash-cli/tags .*/v?(\d\S*)\.tar\.gz

## trash-cli 0.23.2.13.2

=== debian/changelog ===
trash-cli (0.23.2.13.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1042721)

 -- Paul Gevers <elbrus@debian.org>  Mon, 31 Jul 2023 07:37:42 +0200

trash-cli (0.23.2.13.2-1) unstable; urgency=medium

  * New upstream version. Closes: #988597.
    * Remove local patches (superseded upstream)
  * Move to debhelper 13.
  * Adjust Build-Depends for upstream changes.
  * Remove NEWS.Debian file from source: this was never copied into
    binary packages and covers a transition from 10 years ago.
  * Bump standards version
  * Bump watch version
  * Tell pybuild to use pyproject.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 26 Jun 2023 11:11:34 +0100

=== debian/control ===
Source: trash-cli
Section: utils
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3,
               python3-flexmock,
               python3-mock,
               python3-parameterized,
               python3-psutil,
               python3-pytest,
               python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/andreafrancia/trash-cli
Vcs-Git: https://salsa.debian.org/debian/trash-cli.git
Vcs-Browser: https://salsa.debian.org/debian/trash-cli

Package: trash-cli
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: command line trashcan utility
 This package provides a command line interface trashcan utility
 compliant with the FreeDesktop.org Trash Specification. It remembers
 the name, original path, deletion date, and permissions of each trashed
 file

## trash-cli 0.23.11.10

=== debian/changelog ===
trash-cli (0.23.11.10-1) unstable; urgency=medium

  * New upstream version.
    * Parameter '--' works again. Closes: #1050732.

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 09 Feb 2024 20:42:16 +0000

trash-cli (0.23.2.13.2-2) unstable; urgency=medium

  * Add python3-six to dependencies. Closes: #1061036.

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 08 Feb 2024 21:57:31 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python3-psutil,
                python3-pytest,
                python3-setuptools,
+               python3-six,
 Standards-Version: 4.6.2
 Homepage: https://github.com/andreafrancia/trash-cli
 Vcs-Git: https://salsa.debian.org/debian/trash-cli.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_installdeb:
	rm -f \
		debian/trash-cli/usr/lib/python3/dist-packages/trash-empty \
		debian/trash-cli/usr/lib/python3/dist-packages/trash-list \
		debian/trash-cli/usr/lib/python3/dist-packages/trash-put \
		debian/trash-cli/usr/lib/python3/dist-packages/trash-restore \
		debian/trash-cli/usr/lib/python3/dist-packages/trash-rm \
		debian/trash-cli/usr/lib/python3/dist-packages/trash \

## trash-cli 0.24.5.26

=== requirements.txt ===
psutil
six
typing; python_version < '3.8'
typing_extensions; python_version < '3.8'
enum34; python_version < '3.4'

=== debian/changelog ===
trash-cli (0.24.5.26-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch-out runtime usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 15:04:03 +0100

trash-cli (0.24.5.26-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop obsolete dependency on python3-pkg-resources (Closes: #1083809)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 23:09:09 +0100

trash-cli (0.24.5.26-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    + Fix build failure with dh_auto_test. (Closes: #1067303)
  * debian/control: Mark test-build-deps as <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 May 2024 11:55:53 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: Jonathan Dowland <jmtd@debian.org>
 Build-Depends: debhelper (>= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3,
-               python3-flexmock,
-               python3-mock,
+               python3-flexmock <!nocheck>,
+               python3-mock <!nocheck>,
                python3-parameterized,
                python3-psutil,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,
 Standards-Version: 4.6.2
@@ -23,7 +23,6 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-pkg-resources
 Description: command line trashcan utility
  This package provides a command line interface trashcan utility
  compliant with the FreeDesktop.org Trash Specification. It remembers

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_before_dh_installdeb:
 	rm -f \

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 
 # rune for GitHub from https://wiki.debian.org/debian/watch/
 opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/trash-cli-$1\.tar\.gz/ \
